> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convocore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workspaces

> Retrieves all workspaces accessible to the authenticated user, this route must use the new V3 [endpoints](/api-reference/v3/intro).

<Note>
  Returns all workspaces where you are either the owner or a team member.
</Note>

<Tip>
  Use this endpoint to list available workspaces before switching context or managing team members.
</Tip>


## OpenAPI

````yaml GET /workspaces
openapi: 3.0.3
info:
  title: Convocore OpenAPI
  description: Full API reference for Convocore
  version: 1.0.4
servers:
  - url: https://eu-gcp-api.vg-stuff.com/v3
    description: EU Node.js API server
  - url: https://na-gcp-api.vg-stuff.com/v3
    description: NA Node.js API server
security: []
paths:
  /workspaces:
    get:
      tags:
        - Workspaces
      summary: Get all workspaces
      operationId: getWorkspaces
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema: {}
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````